%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           glite-lb-doc
Version:        1.4.17
Release:        1%{?dist}
Summary:        gLite Logging and Bookkeeping documentation

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.doc/%{name}-%{version}.tar.gz
# https://github.com/CESNET/glite-lb/commit/68f9c21020cc8e4df1316303abb2060ed70ed4aa
Patch0:         glite-lb-doc-fedora.diff

BuildArch:      noarch
BuildRequires:  glite-lb-types
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
%if 0%{?rhel} >= 6 || 0%{?fedora}
BuildRequires:  tex(latex)
%if 0%{?rhel} >= 7 || 0%{?fedora}
BuildRequires:  tex(lastpage.sty)
BuildRequires:  tex(multirow.sty)
%endif
%else
BuildRequires:  tetex-latex
%endif

%description
glite-lb-doc is a package containing the complete LB documentation. This
package contains the LB User's Guide (LBUG.pdf), LB Administrator's Guide
(LBAG.pdf), LB Developer's Guide (LBDG.pdf) and LB Test Plan (LBTP.pdf).


%prep
%setup -q
%patch0 -p2


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --docdir=%{_pkgdocdir}
# parallel build not supported (problems with pdflatex)
make


%install
make install DESTDIR=%{buildroot}
install -m 0644 ChangeLog LICENSE %{buildroot}%{_pkgdocdir}


%files
%dir %{_pkgdocdir}/
%dir %{_pkgdocdir}/examples/
%{_pkgdocdir}/examples/*
%{_pkgdocdir}/ChangeLog
%{_pkgdocdir}/LICENSE
%{_pkgdocdir}/README
%{_pkgdocdir}/LBAG.pdf
%{_pkgdocdir}/LBUG.pdf
%{_pkgdocdir}/LBDG.pdf
%{_pkgdocdir}/LBTG.pdf
%{_pkgdocdir}/LBTP.pdf


%changelog
* Sun Sep 21 2014 František Dvořák <valtri@civ.zcu.cz> - 1.4.17-1
- Initial package
